Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Protected Member Functions | List of all members
cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator Class Referenceabstract
Inheritance diagram for cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator:
[legend]

## Protected Member Functions
int | computetYSymetry (float threshold, float[][][] cells)
int | computeXSymetry (float threshold, float[][][] cells)

## Additional Inherited Members
Public Member Functions inherited from cz.vutbr.feec.novak68.hogcomparators.HOGComparator
double | getDistance (HOG hog1, HOG hog2)

## Detailed Description

This abstract object maintains all request to compute X or Y symmetry.

Author
  xnovak68

See also
  SimpleXSymetryComparator
  SimpleYSymetryComparator
  SimpleSymetryComparator

Definition at line 10 of file SymetryBaseComparator.java.

## Member Function Documentation

int cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator.computetYSymetry | ( | float | threshold,
|  | float | cells[][][]
| ) |  |
| protected

Spocita minimalne 2 po sobe nasledujici bunky v symetrii

Parameters

  cells |

Definition at line 14 of file SymetryBaseComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.getDistance(), and cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.getDistance().

int cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator.computeXSymetry | ( | float | threshold,
|  | floatcells | [][][]
| ) |  |
| protected

Definition at line 45 of file SymetryBaseComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.SimpleXSymetryComparator.getDistance(), and cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.getDistance().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/hogcomparators/SymetryBaseComparator.java